
<?php
session_start();

// Panggil koneksi database.php untuk koneksi database
require_once "../../config/database.php";

// fungsi untuk pengecekan status login user 
// jika user belum login, alihkan ke halaman login dan tampilkan pesan = 1
if (empty($_SESSION['username']) && empty($_SESSION['password'])){
    echo "<meta http-equiv='refresh' content='0; url=index.php?alert=1'>";
}
// jika user sudah login, maka jalankan perintah untuk insert, update, dan delete
else {
    if ($_GET['act']=='insert') {
        if (isset($_POST['simpan'])) {
            // ambil data hasil submit dari form
            $name  	= mysqli_real_escape_string($mysqli, trim($_POST['name']));
			$kategori  	= mysqli_real_escape_string($mysqli, trim($_POST['kategori']));
			$jenis  	= mysqli_real_escape_string($mysqli, trim($_POST['jenis']));
			$qty 		= str_replace('.', '', mysqli_real_escape_string($mysqli, trim($_POST['qty'])));
			$total 		= str_replace('.', '', mysqli_real_escape_string($mysqli, trim($_POST['total'])));
			
			$jumlah		= $qty * $total;
			
			$tanggal         = mysqli_real_escape_string($mysqli, trim($_POST['tanggal']));
            $exp             = explode('-',$tanggal);
            $tanggal_masuk   = $exp[2]."-".$exp[1]."-".$exp[0];
			
			
			
			$nama_file          = $_FILES['foto']['name'];
			$ukuran_file        = $_FILES['foto']['size'];
			$tipe_file          = $_FILES['foto']['type'];
			$tmp_file           = $_FILES['foto']['tmp_name'];
			
			// tentuka extension yang diperbolehkan
			$allowed_extensions = array('jpg','jpeg','png');
			
			$random = rand (1,1000);
			// Set path folder tempat menyimpan gambarnya
			$path_file          = "../../images/user/biaya".$random."-".$nama_file;
			
			// check extension
			$file               = explode(".", $nama_file);
			$extension          = array_pop($file);

            $created_user = $_SESSION['id_user'];
			
			
			if (!empty($_FILES['foto']['name'])) {
			
					// Cek apakah tipe file yang diupload sesuai dengan allowed_extensions
					if (in_array($extension, $allowed_extensions)) {
	                    // Jika tipe file yang diupload sesuai dengan allowed_extensions, lakukan :
	                    if($ukuran_file <= 10000000) { // Cek apakah ukuran file yang diupload kurang dari sama dengan 1MB
	                        // Jika ukuran file kurang dari sama dengan 1MB, lakukan :
	                        // Proses upload
	                        if(move_uploaded_file($tmp_file, $path_file)) { // Cek apakah gambar berhasil diupload atau tidak
                        		// Jika gambar berhasil diupload, Lakukan : 
                        		// perintah query untuk mengubah data pada tabel users
								$namaimg = "biaya".$random."-".$nama_file;

			                    // cek query
			                    if ($query) {
			                        // jika berhasil tampilkan pesan berhasil update data
			                        header("location: ../../main.php?module=biaya&alert=21");
			                    }
                        	} else {
	                            // Jika gambar gagal diupload, tampilkan pesan gagal upload
	                            header("location: ../../main.php?module=biaya&alert=5");
	                        }
	                    } else {
	                        // Jika ukuran file lebih dari 1MB, tampilkan pesan gagal upload
	                        header("location: ../../main.php?module=biaya&alert=6");
	                    }
	                } else {
	                    // Jika tipe file yang diupload bukan jpg, jpeg, png, tampilkan pesan gagal upload
	                    header("location: ../../main.php?module=biaya&alert=7");
	                } 
				}
				
			if (!empty($_FILES['foto']['name'])) {
				if ($jenis =="debet"){
					$query = mysqli_query($mysqli, "INSERT INTO biaya(billdate,ket,kategori,debet,kredit,kasir,qty,harga,jenis,images) 
												VALUES('$tanggal_masuk','$name','$kategori','$jumlah','0','$created_user','$qty','$total','$jenis','$namaimg')")
												or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));    
				}else{
					$query = mysqli_query($mysqli, "INSERT INTO biaya(billdate,ket,kategori,debet,kredit,kasir,qty,harga,jenis,images) 
												VALUES('$tanggal_masuk','$name','$kategori','0','$jumlah','$created_user','$qty','$total','$jenis','$namaimg')")
												or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));  
				}
				
			}else{
				
				if ($jenis =="debet"){
					$query = mysqli_query($mysqli, "INSERT INTO biaya(billdate,ket,kategori,debet,kredit,kasir,qty,harga,jenis) 
												VALUES('$tanggal_masuk','$name','$kategori','$jumlah','0','$created_user','$qty','$total','$jenis')")
												or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));    
				}else{
					$query = mysqli_query($mysqli, "INSERT INTO biaya(billdate,ket,kategori,debet,kredit,kasir,qty,harga,jenis) 
												VALUES('$tanggal_masuk','$name','$kategori','0','$jumlah','$created_user','$qty','$total','$jenis')")
												or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));  
				}
			}
            // cek query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil simpan data
                header("location: ../../main.php?module=biaya&alert=1");
            }   
        }   
    }
    elseif ($_GET['act']=='reload') {
		$awal = $_POST['tgl_awal'];
		$akhir = $_POST['tgl_akhir'];
		header("location: ../../main.php?module=biaya&awal=$awal&akhir=$akhir");
	}
    elseif ($_GET['act']=='update') {
        if (isset($_POST['simpan'])) {
                // ambil data hasil submit dari form
				$id  		= mysqli_real_escape_string($mysqli, trim($_POST['id']));
                $name  	= mysqli_real_escape_string($mysqli, trim($_POST['name']));
				$kategori  	= mysqli_real_escape_string($mysqli, trim($_POST['kategori']));
				$jenis  	= mysqli_real_escape_string($mysqli, trim($_POST['jenis']));
				$qty 		= str_replace('.', '', mysqli_real_escape_string($mysqli, trim($_POST['qty'])));
				$total 		= str_replace('.', '', mysqli_real_escape_string($mysqli, trim($_POST['total'])));
				
				$jumlah		= $qty * $total;
				
				$tanggal         = mysqli_real_escape_string($mysqli, trim($_POST['tanggal']));
				$exp             = explode('-',$tanggal);
				$tanggal_masuk   = $exp[2]."-".$exp[1]."-".$exp[0];
				
				
				
				$nama_file          = $_FILES['foto']['name'];
				$ukuran_file        = $_FILES['foto']['size'];
				$tipe_file          = $_FILES['foto']['type'];
				$tmp_file           = $_FILES['foto']['tmp_name'];
				
				// tentuka extension yang diperbolehkan
				$allowed_extensions = array('jpg','jpeg','png','pdf');
				
				// Set path folder tempat menyimpan gambarnya
				$path_file          = "../../images/user/biaya".$id."-".$nama_file;
				
				// check extension
				$file               = explode(".", $nama_file);
				$extension          = array_pop($file);
				
				
				
				

                $updated_user = $_SESSION['id_user'];
				
				
				if ($jenis =="debet"){
					$debet = $jumlah;
					$kredit = 0;
				}else{
					$kredit = $jumlah;
					$debet = 0;
				}
			

                // perintah query untuk mengubah data pada tabel obat
                $query = mysqli_query($mysqli, "UPDATE biaya SET  ket    = '$name',
																	billdate    = '$tanggal_masuk',
																	kategori    = '$kategori',
																	qty   		= '$qty',
																	harga  		= '$total',
																	jenis 		= '$jenis',
																	debet    = '$debet',
																	kredit    = '$kredit'
                                                              WHERE id       = '$id'")
                                                or die('Ada kesalahan pada query update : '.mysqli_error($mysqli));
												
												
				if (!empty($_FILES['foto']['name'])) {
			
					// Cek apakah tipe file yang diupload sesuai dengan allowed_extensions
					if (in_array($extension, $allowed_extensions)) {
	                    // Jika tipe file yang diupload sesuai dengan allowed_extensions, lakukan :
	                    if($ukuran_file <= 10000000) { // Cek apakah ukuran file yang diupload kurang dari sama dengan 1MB
	                        // Jika ukuran file kurang dari sama dengan 1MB, lakukan :
	                        // Proses upload
	                        if(move_uploaded_file($tmp_file, $path_file)) { // Cek apakah gambar berhasil diupload atau tidak
                        		// Jika gambar berhasil diupload, Lakukan : 
                        		// perintah query untuk mengubah data pada tabel users
								$namaimg = "biaya".$id."-".$nama_file;
			                    $query = mysqli_query($mysqli, "UPDATE biaya SET images 	= '$namaimg'
			                                                                  WHERE id 	= '$id'")
			                                                    or die('Ada kesalahan pada query update : '.mysqli_error($mysqli));

			                    // cek query
			                    if ($query) {
			                        // jika berhasil tampilkan pesan berhasil update data
			                        header("location: ../../main.php?module=biaya&alert=21");
			                    }
                        	} else {
	                            // Jika gambar gagal diupload, tampilkan pesan gagal upload
	                            header("location: ../../main.php?module=biaya&alert=5");
	                        }
	                    } else {
	                        // Jika ukuran file lebih dari 1MB, tampilkan pesan gagal upload
	                        header("location: ../../main.php?module=biaya&alert=6");
	                    }
	                } else {
	                    // Jika tipe file yang diupload bukan jpg, jpeg, png, tampilkan pesan gagal upload
	                    header("location: ../../main.php?module=biaya&alert=7");
	                } 
				}
				
				

                // cek query
                if ($query) {
                    // jika berhasil tampilkan pesan berhasil update data
                    header("location: ../../main.php?module=biaya&alert=2");
                }         
            
        }
    }

    elseif ($_GET['act']=='delete') {
        if (isset($_GET['id'])) {
            $id = $_GET['id'];
    
            // perintah query untuk menghapus data pada tabel obat
            $query = mysqli_query($mysqli, "Update biaya set del = 'Y' WHERE id='$id'")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            // cek hasil query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil delete data
                header("location: ../../main.php?module=biaya&alert=3");
            }
        }
    }       
}       
?>